package com.bonus.system.mapper;

import com.bonus.system.api.domain.SysTemplateMenu;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 系统模板菜单表(SysTempMenu)表数据库访问层
 *
 * @author bonus
 * @since 2025-01-05
 */
public interface SysTemplateMenuMapper {


    /**
     * 查询指定行数据
     *
     * @param
     * @param
     * @return 对象列表
     */
    List<SysTemplateMenu> queryAll();


    /**
     * 通过实体作为筛选条件查询
     *
     * @param tempId
     * @return 对象列表
     */
    List<Long> queryMenuIdByTemplateId(Long tempId);

    /**
     * 新增数据
     *
     * @param sysTemplateMenu 实例对象
     * @return 影响行数
     */
    int insert(SysTemplateMenu sysTemplateMenu);

    int batchInsert(@Param("list") List<SysTemplateMenu> list);

    /**
     * 修改数据
     *
     * @param sysTemplateMenu 实例对象
     * @return 影响行数
     */
    int update(SysTemplateMenu sysTemplateMenu);

    /**
     * 根据模板删除菜单信息
     *
     * @param tempId
     * @return
     */
    int deleteByTempId(@Param("tempId") Long tempId);
}